$AdfDhtmlShowDetailItemPeer$$.$_SUB_ID_MAP$ = {tab_link:"disAcr", panel_disclosure_icon:"btn", remove_icon_above:"rmAbv", remove_icon_below:"rmBlw", tab_text_above:"disAcr", tab_text_below:"disAcrBlw", $icon$:"icon"};
$AdfDhtmlShowDetailItemPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlShowDetailItemPeer$$$$$GetSubIdDomElement$$($subElementId$$51$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$51$$);
  var $component$$1852$$ = this.$getComponent$();
  if("panel_text" == $subElementId$$51$$) {
    var $clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$ = $component$$1852$$.$getClientId$(), $clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$, "head");
    if($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$ = $AdfAgent$$.$AGENT$.getElementById($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$)) {
      if($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$ = $AdfDomUtils$$.$getFirstDescendentElement$($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$, "TR")) {
        if($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$ = $AdfDomUtils$$.$getDescendentElement$($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$, "TD", 2)) {
          if($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$ = $AdfDomUtils$$.$getFirstDescendentElement$($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$, "TR")) {
            return $AdfDomUtils$$.$getDescendentElement$($clientId$$456_head$$8_headId_nextTr_td$$13_tr$$28$$, "TD", 1)
          }
        }
      }
    }
  }
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$51$$, $AdfDhtmlShowDetailItemPeer$$.$_SUB_ID_MAP$, $component$$1852$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailItemPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlShowDetailItemPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlShowDetailItemPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlShowDetailItemPeer$$$$$GetBestMatchSubId$$($childElement$$35$$) {
  var $clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = this.$getComponent$().$getClientId$(), $clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$, "head");
  if($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = $AdfAgent$$.$AGENT$.getElementById($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$)) {
    if($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = $AdfDomUtils$$.$getFirstDescendentElement$($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$, "TR")) {
      if($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = $AdfDomUtils$$.$getDescendentElement$($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$, "TD", 2)) {
        if($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = $AdfDomUtils$$.$getFirstDescendentElement$($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$, "TR")) {
          if(($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ = $AdfDomUtils$$.$getDescendentElement$($clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$, "TD", 1)) && $clientId$$457_head$$9_headId$$1_nextTd_nextTr$$1_td$$14_tr$$29$$ === $childElement$$35$$) {
            return"panel_text"
          }
        }
      }
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$35$$, this, $AdfDhtmlShowDetailItemPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailItemPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlShowDetailItemPeer$$.prototype.$GetBestMatchSubId$});
